extend ../../../ComponentesPug/ModalBusqueda/Plantilla.pug

block variables
    - var TituloModal = "{{ tTituloModal }}"
    - var NombreVariable = "Fabricante"
    - var ListadoCabecera = ["Fabricante", "Descripcion"]
    - var TamanoColeccion = "tFabricantes.length"
    - var PaginaActual = "tPagina"
    - var TamanoPagina = "tTamanoPag"

block ListadoContenido
    tr(*ngFor="let tFabricante of tFabricantes | buscar : {'campoFiltro' : tFiltroActual, 'busquedaFiltro' : tFiltroBusqueda} | slice: (tPagina-1) * tTamanoPag : (tPagina-1) * tTamanoPag + tTamanoPag; let jv = index")
        th
            button(type="button", (click)="activeModal.close({'Resultado' : 'S', '" + NombreVariable + "' : tFabricante})").btn.btn-sm.btn-link
                .fas.fa-mouse-pointer
        td
            h6 {{ tFabricante.Codfabricante }}
        td
            h6.text-nowrap {{ tFabricante.Descripcion }}